> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List portfolio fills

> Returns all of the fills for a given portfolio.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
    ListPortfolioFillsRequest request = new ListPortfolioFillsRequest.Builder()
        .portfolio("portfolio_id")
        .build();
    ListPortfolioFillsResponse response = portfoliosService.listPortfolioFills(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var portfoliosService = new PortfoliosService(client);
    var request = new ListPortfolioFillsRequest(
        Portfolio: "portfolio_id",
    );
    var response = portfoliosService.ListPortfolioFills(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    portfoliosSvc := portfolios.NewPortfoliosService(client)
    request := &portfolios.GetPortfolioFillsRequest{
        Portfolio: "portfolio_id",
    }
    response, err := portfoliosSvc.GetPortfolioFillsRequest(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = ListPortfolioFillsRequest(
        portfolio="portfolio_id",
    )
    response = client.list_portfolio_fills(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const portfoliosService = new PortfoliosService(client);

    portfoliosService.listPortfolioFills({
        portfolio: 'PORTFOLIO_ID_HERE',
    }).then(async (response) => {
        console.log('Portfolio Fills: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl get-portfolio-fills --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/portfolios/{portfolio}/fills
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/portfolios/{portfolio}/fills:
    get:
      tags:
        - Portfolios
      summary: List portfolio fills
      description: Returns all of the fills for a given portfolio.
      operationId: getPortfolioFills
      parameters:
        - name: portfolio
          in: path
          description: >-
            Identifies the portfolio by UUID (e.g.,
            `892e8c7c-e979-4cad-b61b-55a197932cf1`) or portfolio ID (e.g.,
            `5189861793641175`)
          required: true
          schema:
            type: string
        - name: order_id
          in: query
          description: A specific order for which to fetch fills identified by order ID
          required: false
          schema:
            type: string
            example: 43877033468085760
        - name: client_order_id
          in: query
          description: Fetch fills for all orders with the given client order ID
          required: false
          schema:
            type: string
            example: ABC123
        - $ref: '#/components/parameters/ref_datetime'
        - $ref: '#/components/parameters/result_limit'
        - $ref: '#/components/parameters/result_offset'
        - $ref: '#/components/parameters/time_from'
      responses:
        '200':
          description: Fill information
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/Pagination_v1'
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/PortfolioFill_v1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  parameters:
    ref_datetime:
      name: ref_datetime
      in: query
      description: >-
        The maximum `event_time` for results. Can be used in pagination to keep
        result set static. Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)
      required: false
      schema:
        type: string
        format: date-time
        example: '2023-03-16T23:59:53.000Z'
    result_limit:
      name: result_limit
      in: query
      description: >-
        The number of results to return (defaults to 25 with a max supported
        value of 100)
      required: false
      schema:
        type: integer
        example: 30
    result_offset:
      name: result_offset
      in: query
      description: The number of results from the beginning to skip past
      required: false
      schema:
        type: integer
        example: 50
    time_from:
      name: time_from
      in: query
      description: >-
        The minimum `event_time` for results. Uses ISO-8601 format (e.g.,
        2023-03-16T23:59:53Z)
      schema:
        type: string
        format: date-time
        example: '2023-03-16T23:59:53.000Z'
  schemas:
    Pagination_v1:
      allOf:
        - $ref: '#/components/schemas/PaginationBase_v1'
      type: object
      properties:
        ref_datetime:
          description: >-
            The datetime from which to search (results are returned from
            `ref_datetime` in chronological order starting with the most
            recent). Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z)
          type: string
          format: date-time
          example: '2023-03-16T23:59:53.000Z'
    PortfolioFill_v1:
      type: object
      properties:
        portfolio_id:
          description: The unique identifier of the portfolio the fill was executed under
          type: string
          example: t4umaqa-1-1
        portfolio_uuid:
          description: The UUID of the portfolio the fill was executed under
          type: string
          example: 018ab3b1-d38a-750e-8a1d-8b7815ea8bfb
        portfolio_name:
          description: The name of the portfolio the fill was executed under
          type: string
          example: portfolio1
        fill_id:
          description: A unique identifier for the fill event
          type: string
          example: 14thr7g8-1-1
        exec_id:
          description: A unique fill_id represented in numeric format
          type: string
          example: 224040873497739740
        order_id:
          description: The original order id
          type: string
          example: 14thr7eg-1-1
        instrument_id:
          description: The unique identifier of the instrument the fill is in
          type: string
          example: 14thr7dw-1-0
        instrument_uuid:
          description: The UUID of the instrument the fill is in
          type: string
          format: uuid
          example: c3f2130a-1e47-4f33-9a88-beffc11fdd50
        symbol:
          description: Name of the instrument the fill is in
          type: string
          example: BTC-PERP
        match_id:
          description: >-
            A unique identifier for the match event that is used on both sides
            of the trade
          type: string
          example: 14thr75g-0-0
        fill_price:
          description: The price that this fill traded at
          type: string
          example: 31011.75
        fill_qty:
          description: The amount traded in this fill event
          type: string
          example: 0.2
        client_id:
          description: The API key of the client that submitted the order
          type: string
          example: 4V5LrMqiJPU44hpQ
        client_order_id:
          description: The client specific order ID sent on the order
          type: string
          example: ABC123
        order_qty:
          description: The quantity specified on the order
          type: string
          example: 1.2
        limit_price:
          description: The limit price specified on the order (specific to limit orders)
          type: string
          example: 31012
        total_filled:
          description: The total amount filled on the order so far
          type: string
          example: 0.1
        filled_vwap:
          description: >-
            The weighted average price of the total amount filled on the order
            so far
          type: string
          example: 31011.1
        expire_time:
          description: >-
            The expiration time for orders with the time in force set to GTT.
            Uses ISO-8601 format (e.g., 2023-03-16T23:59:53Z).
          type: string
          format: date-time
          example: '2023-03-16T23:59:53.000Z'
        stop_price:
          description: The trigger price for a stop order (specific to stop orders)
          type: string
          example: 31010.5
        side:
          $ref: '#/components/schemas/OrderSide'
        tif:
          $ref: '#/components/schemas/TimeInForce'
        stp_mode:
          $ref: '#/components/schemas/SelfTradePreventionMode'
        flags:
          description: Additional order flags
          type: string
        fee:
          description: The fee charged on the fill
          type: string
          example: 75.53
        fee_asset:
          description: The asset type the fee was charged in
          type: string
          example: USDC
        order_status:
          $ref: '#/components/schemas/OrderStatus'
        event_time:
          description: >-
            The time that the fill event occurred. Uses ISO-8601 format (e.g.,
            2023-03-16T23:59:53Z)
          type: string
          format: date-time
          example: '2023-03-16T23:59:53.000Z'
        source:
          $ref: '#/components/schemas/Source'
        execution_venue:
          description: >-
            Mechanism by which the match was found. CLOB for central limit order
            book matching, RFQ for the request-for-quote feature.
          type: string
          example: CLOB, RFQ, COINBASE_EXCHANGE_CLOB, COINBASE_EXCHANGE_RFQ
    PaginationBase_v1:
      type: object
      properties:
        result_limit:
          description: >-
            The number of results to return (defaults to 25 with a max supported
            value of 100)
          type: integer
          example: 30
        result_offset:
          description: The number of results from the beginning to skip past
          type: integer
          example: 50
    OrderSide:
      description: The side of the transaction
      type: string
      enum:
        - BUY
        - SELL
      example: BUY
    TimeInForce:
      description: >-
        The time in force applied to an order. A Good Till Cancel (GTC) can last
        up to 30 days. An Immediate or Cancel (IOC) attempts to fill as much of
        the order as possible and/or cancels immediately when no resting orders
        meet or improve the order's price limit. A Fill or Kill (FOK) is
        canceled without filling if it does not completely fill immediately.
        This will not be populated for assignments
      type: string
      enum:
        - GTC
        - IOC
        - GTT
        - FOK
      example: GTC
    SelfTradePreventionMode:
      description: >-
        Specifies the behavior for self match handling. None disables the
        functionality, new cancels the newest order, and both cancels both
      type: string
      enum:
        - NONE
        - AGGRESSING
        - RESTING
        - BOTH
        - DECREMENT_AND_CANCEL
      example: AGGRESSING
    OrderStatus:
      description: The type of the order
      type: string
      enum:
        - WORKING
        - DONE
      example: WORKING
    Source:
      description: The source of the fill
      type: string
      enum:
        - LIQUIDATION
        - ASSIGNMENT
        - CLIENT_ORDER
      example: LIQUIDATION
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````